package com.muyu.req;

import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @Author：qdm
 * @Package：com.muyu.req
 * @Project：cloud-etl-engine
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class EngineVersionQueryReq extends BaseEntity {
    /**
     * 版本编码
     */
    private String versionCode;

    /**
     * 规则内容
     */
    private String ruleContent;

    /**
     * 引擎维护编号
     */
    private Long engineMaintenanceId;
}
